#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};//1 2 2 1 3
}

int getMove1d(std::vector<int> v)
{
    int nr, x;
    nr = v.size();
    //nr este 2 * x + 1
    x = (nr - 1) / 2;
    if (x == 1) {
        if (v[0] == 3) {
            return 2;
        }
        return 0;
    } else if (x == 2) {
        if (v[0] == 3) {
            return 4;
        }
        return 0;
    } else if (x == 3) {
        if (v[2] == 2) {
            return 6;
        }
        return 0;
    }
    //return {nr - 1};
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
